%define upstream_name    Dist-Zilla-Plugin-AppendExternalData
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Append data to gathered files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the Dist::Zilla manpage plugin appends files in a directory to files
being gathered for the distribution.

When using this plugin, be thoughtful about the order in which you want
files to be modified. For example, if you are appending Pod, it makes a big
difference if you append before or after a plugin like C<PodWeaver>. If you
list this plugin first, the Pod will be appended before weaving and the
added Pod will wind up in the middle of the generated Pod. If this plugin
is listed last, the Pod will be appended after weaving and will follow the
generald Pod from C<PodWeaver>.

If appending a C<__DATA__> section, be sure to put this plugin last among
plugins that modify your files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1025817
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 933388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 744123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 684391
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 510936
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 366036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 212755
- update to 0.003

* Mon Mar 14 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71024
- imported package perl-Dist-Zilla-Plugin-AppendExternalData


* Mon Mar 14 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
